## ubertooth 2018.08.R1

=== debian/changelog ===
ubertooth (2018.08.R1-2) unstable; urgency=medium

  * Move python-pyside.qtcore and python-pyside.qtgui from Depends to
    Recommends since core functionality is not broken when they are not
    present.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 10 Aug 2018 13:32:26 +0200

ubertooth (2018.08.R1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches
  * Simplify handling of revision patch so that it does not need
    to be updated for every new upstream release.
  * debian/source/lintian-overrides deleted since it is not needed anymore
  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.0 - no changes
  * debain/rules:
    - Pass --no-parallel to dh_auto_build for firmware since it does not build
      reliably with multiple threads.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 10 Aug 2018 12:24:01 +0200

ubertooth (2018.06.R1-2) unstable; urgency=medium

  * debian/upstream/metadata added
  * debian/patches/04_no_git_for_debian.patch:
    - Fix setting GIT_REVISION in patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 09 Aug 2018 10:48:40 +0200

ubertooth (2018.06.R1-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches. Using gbp-pq
  * debian/control:
    - Depend on newer version of libbtbb: 2018.06.R1
  * debian/com.greatscottgadgets.ubertooth.metainfo.xml
    - Fix formatting of vendor and product IDs
  * debian/copyright:
    - Copyright information for some new files
    - Use https protocol in Format field
  * debian/libubertooth1.symbols:
    - Two new symbols
  * debian/rules:
    - Replace dpkg-parsechangelog with include /usr/share/dpkg/pkg-info.mk
  * debian/source/lintian-overrides:
    - ignore lintian for patch file which is used in debian/rules
  * debian/ubertooth-firmware.lintian-overrides:
    - ignore lintian for package name "-firmware", since it is firmware
      for external USB device, and not for the Linux kernel.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 13 Jul 2018 20:06:07 +0200

ubertooth (2017.03.R2-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote firmware dependencies to Build-Depends-Indep. (Closes: #893906)

  [ Ruben Undheim
  * debian/control:
    - Remove 'Testsuite: autopkgtest' since it is handled automatically now
    - New standards version 4.1.5 - no changes
  * Added debian/com.greatscottgadgets.ubertooth.metainfo.xml to announce
    the hardware via AppStream

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 11 Jul 2018 22:26:41 +0200
