=== debian/changelog ===
ubertooth (2018.12.R1-5) unstable; urgency=medium

  * Fix build with GCC-10 by removing unused extra definition of variable
    (Closes: #957891)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2020 10:30:08 +0200

ubertooth (2018.12.R1-4) unstable; urgency=medium

  * Bring pack ubertooth-specan-ui in package by running it in Python3 instead
    of Python2 (Closes: #954976)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 26 Mar 2020 11:49:06 +0100

ubertooth (2018.12.R1-3) unstable; urgency=medium

  * Drop Python 2 dependency (Closes: #938738) ubertooth-specan-ui removed from
    package until it has been ported.
  * debian/control:
    - New standards version 4.4.1 - no changes
    - Debhelper compat level 12
    - Depend on specific newer version of libbtbb
  * debian/compat: deleted file

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 23 Dec 2019 09:22:35 +0100

ubertooth (2018.12.R1-2) unstable; urgency=medium

  * debian/control:
    - Fix dependencies ("Recommends") for ubertooth-specan-ui (Closes: #919388)
      Replaced: python-pyside.qtcore and python-pyside.qtgui with
      python-pyside2.qtgui, python-pyside2.qtwidgets and python-pyside2.qtcore.
      (upstream has migrated the code to work with PySide2)
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Jan 2019 08:56:02 +0100

ubertooth (2018.12.R1-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Move Vcs from github to salsa
  * debian/libubertooth1.symbols:
    - Added new symbol in symbols file
  * debian/gitlab-ci.yml:
    - Enable CI on salsa.debian.org

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 10:36:18 +0100

ubertooth (2018.08.R1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate python-all with :any. (Closes: #912757)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 27 Nov 2018 22:33:34 +0100

ubertooth (2018.08.R1-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote Build-Depends: python-all-dev to python-all. (Closes: #909553)

  [ Ruben Undheim ]
  * debian/control:
    - New standards version 4.2.1 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 25 Sep 2018 10:40:00 +0200
