=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libusb-1.0-0-dev,
                libpcap-dev,
                cmake,
                pkg-config,
                libbluetooth-dev,
-               libbtbb-dev (>= 2018.06.R1),
-               python-all-dev,
+               python3-all:any,
+               libbtbb-dev (>= 2018.12.R1),
                txt2man
 Build-Depends-Indep: gcc-arm-none-eabi,
                      libnewlib-arm-none-eabi,
                      libstdc++-arm-none-eabi-newlib
-Standards-Version: 4.2.0
-Vcs-Browser: https://github.com/rubund/debian-ubertooth/tree/master
-Vcs-Git: https://github.com/rubund/debian-ubertooth.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/rubund/ubertooth
+Vcs-Git: https://salsa.debian.org/rubund/ubertooth.git
 Homepage: http://ubertooth.sourceforge.net/
 
 Package: libubertooth1
@@ -88,11 +88,12 @@
 Depends: libubertooth1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
-         python,
-         python-numpy
+         python3,
+         python3-numpy
 Recommends: ubertooth-firmware,
-            python-pyside.qtcore,
-            python-pyside.qtgui
+            python3-pyside2.qtgui,
+            python3-pyside2.qtwidgets,
+            python3-pyside2.qtcore
 Suggests: ubertooth-firmware-source
 Description: 2.4 GHz wireless development platform for Bluetooth experimentation
  Project Ubertooth is an open source wireless development platform suitable for
